require "spec_helper"

describe RunningOnRails do

  describe "add method to Float to convert from meters/second" do
    before (:each) do 
      @pace = 3.2
    end
    
    it "return 8.382 mins/mile" do
      expect(@pace.to_mins_mile).to eq(8.382)
    end
    
    it "return 7.158 miles/hour" do
      expect(@pace.to_miles_hour).to eq(7.158)
    end
    
    it "return 5.208 mins/km" do
      expect(@pace.to_mins_km).to eq(5.208)
    end

    it "return 11.52 kms/hour" do
      expect(@pace.to_kms_hour).to eq(11.52)
    end

    it "return 3.2  meters/sec" do
      expect(@pace.to_meters_sec).to eq(3.2)
    end
  end

end
